package com.chenyang.druid.sql.dialect.db2.ast.stmt;

import com.chenyang.druid.DbType;
import com.chenyang.druid.sql.ast.statement.SQLCreateIndexStatement;
import com.chenyang.druid.sql.ast.statement.SQLUpdateSetItem;
import com.chenyang.druid.sql.dialect.db2.ast.DB2SQLIndexSpec;
import com.chenyang.druid.sql.dialect.db2.visitor.DB2ASTVisitor;
import com.chenyang.druid.sql.visitor.SQLASTVisitor;
import java.util.ArrayList;
import java.util.List;

public class DB2CreateIndexStatement extends SQLCreateIndexStatement {
   private ArrayList<DB2SQLIndexSpec> specList = new ArrayList();
   private List<SQLUpdateSetItem> withList = new ArrayList();

   public DB2CreateIndexStatement(DbType dbType) {
      super(dbType);
   }

   public ArrayList<DB2SQLIndexSpec> getSpecList() {
      return this.specList;
   }

   public void setSpecList(ArrayList<DB2SQLIndexSpec> specList) {
      this.specList = specList;
   }

   public List<SQLUpdateSetItem> getWithList() {
      return this.withList;
   }

   public void setWithList(List<SQLUpdateSetItem> withList) {
      this.withList = withList;
   }

   public void accept0(SQLASTVisitor visitor) {
      this.accept0((DB2ASTVisitor)visitor);
   }

   public void accept0(DB2ASTVisitor visitor) {
      visitor.visit(this);
   }
}
